
/* Copyright 2009 Myhailo Danylenko
 *
 * Common pep event listener
 *
 * This file is part of mcabber-pep
 *
 * mcabber-pep is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>. */

#ifndef MCABBER_PEP_H
#define MCABBER_PEP_H

#include <glib.h>
#include <loudmouth/loudmouth.h>

#define NS_PUBSUB_EVENT ( "http:/" "/jabber.org/protocol/pubsub#event" )
#define NS_PUBSUB       ( "http:/" "/jabber.org/protocol/pubsub" )

typedef void (*pep_xmlns_handler_t) (const gchar *from, const gchar *node, LmMessageNode *n, const gchar *id, gpointer userdata);

void pep_register_xmlns_handler (const gchar *xmlns, pep_xmlns_handler_t handler, gpointer udata, GDestroyNotify notify);
void pep_unregister_xmlns_handler (const gchar *xmlns);

#endif

/* vim: se ts=4 sw=4: */
